RAISING_ERRORS = {
    'REQUIRED_DATA_TABLE': 'Data table must be input',
    'UNDEFINED_STATUS': 'Status "{}" is not defined',
}

PREDEFINED_FEATURE_VALUES = {
    'STATUS_ENABLED': 'Enabled',
    'STATUS_DISABLED': 'Disabled'
}

PREDEFINED_DATE_RANGE = {
    'Lifetime': {'start_date_delta': 'N/A', 'end_date_delta': 'N/A'},
    'Today': {'start_date_delta': 0, 'end_date_delta': 0},
    'Yesterday': {'start_date_delta': 1, 'end_date_delta': 1},
    'Previous Yesterday': {'start_date_delta': 2, 'end_date_delta': 2},
    'Last 3 Days': {'start_date_delta': 3, 'end_date_delta': 1},
    'Previous Last 3 Days': {'start_date_delta': 6, 'end_date_delta': 4},
    'Last 7 Days': {'start_date_delta': 7, 'end_date_delta': 1},
    'Previous Last 7 Days': {'start_date_delta': 14, 'end_date_delta': 8},
    'Last 14 Days': {'start_date_delta': 14, 'end_date_delta': 1},
    'Last 30 Days': {'start_date_delta': 30, 'end_date_delta': 1},
    'Previous Last 30 Days': {'start_date_delta': 60, 'end_date_delta': 31},
    'Last Week': {'start_date_delta': 8, 'end_date_delta': 1},
    'Previous Last Week': {'start_date_delta': 15, 'end_date_delta': 1},
    'Last Month': {'start_date_delta': 31, 'end_date_delta': 1},
    'Previous Last Month': {'start_date_delta': '61', 'end_date_delta': '1'},
    'Last Quarter': {'start_date_delta': '92', 'end_date_delta': '1'},
    'Previous Last Quarter': {'start_date_delta': '180', 'end_date_delta': '1'},
    'Last Year': {'start_date_delta': '365', 'end_date_delta': '1'},
    'Previous Last Year': {'start_date_delta': '730', 'end_date_delta': '1'},
    'This Week': {'start_date_delta': 7, 'end_date_delta': 1},
    'This Month': {'start_date_delta': 30, 'end_date_delta': 1},
    'This Quarter': {'start_date_delta': 'N/A', 'end_date_delta': 'N/A'},
    'This Year': {'start_date_delta': 'N/A', 'end_date_delta': 'N/A'},
    'Custom Range': {'start_date_delta': 1, 'end_date_delta': 0},
    'Previous Custom Range': {'start_date_delta': 3, 'end_date_delta': 2}
}
